Bug 782068 - Sometimes encfs atime == mtime on file update
Summary: Sometimes encfs atime == mtime on file update
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-encfs
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 666403
TreeView+ depends on / blocked
 
Reported: 2012-01-16 12:52 UTC by Jaroslav Škarvada
Modified: 2014-02-05 11:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 11:53:11 UTC
Type: ---


Attachments (Terms of Use)

Description Jaroslav Škarvada 2012-01-16 12:52:02 UTC
Description of problem:
Sometimes on file update atime == mtime which breaks procmail (bug 666383) and maybe other sw that depend on this concept. With relatime mount option it is expected to be atime < mtime.

Version-Release number of selected component (if applicable):
use-encfs-1.7.4-2.fc16

How reproducible:
Always

Steps to Reproduce:
1. mkdir /tmp/{testdir,testdirraw}
2. echo test | encfs -S --standard /tmp/testdirraw /tmp/testdir
3. echo test > /tmp/testdir/test
4. sleep 5
5. echo test >> /tmp/testdir/test
6. stat /tmp/testdir/test
  
Actual results:
atime = mtime

Expected results:
atime < mtime

Additional info:
Without encfs it worked as expected. Mounted with relatime:
$ mount | tail -1
encfs on /tmp/testdir type fuse.encfs (rw,nosuid,nodev,relatime,user_id=500,group_id=500,default_permissions)

I understand that it returns the rawfile timestamps and that it needs to re-create the rawfile sometimes but would be possible to add some hack to handle this correctly?

Comment 1 jurek.bajor 2012-01-16 15:32:47 UTC
(In reply to comment #0)
> Description of problem:
> Sometimes on file update atime == mtime which breaks procmail (bug 666383) and
> maybe other sw that depend on this concept. With relatime mount option it is
> expected to be atime < mtime.
> 
> Version-Release number of selected component (if applicable):
> use-encfs-1.7.4-2.fc16
> ...

At the time of procmail problem discovery (bug 666383) I discovered a similar
problem related to mailx and encfs:

mailx breaks atime with mbox on encfs filesystem
https://bugzilla.redhat.com/show_bug.cgi?id=666403

Peter Lemenkov,
because you are an encfs specialist please take a look at it as well.
JB

Comment 2 Peter Schiffer 2012-10-26 13:34:18 UTC
Hi Till,

did you find out something about this bug?

Thanks,

peter

Comment 3 Till Maas 2012-10-27 11:57:12 UTC
(In reply to comment #2)

> did you find out something about this bug?

I noticed it was not reported upstream, therfore I filed a bug at their bug tracker:
http://code.google.com/p/encfs/issues/detail?id=150

Comment 4 Fedora End Of Life 2013-01-16 16:17:09 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-12-21 08:32:04 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2014-02-05 11:53:15 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.